%define upstream_name    Cairo
%define upstream_version 1.102

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for the Cairo library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
# http://sourceforge.net/project/showfiles.php?group_id=64773&package_id=160888
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: cairo-devel
BuildRequires: perl-devel
%description
This module provides perl access to the Cairo library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE META.json META.yml MYMETA.yml NEWS README TODO examples
%{_mandir}/*/*
%{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/auto/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.102.0-2.mga3
+ Revision: 363750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 tv <tv> 1.102.0-1.mga3
+ Revision: 328686
- new release

* Tue Jul 31 2012 tv <tv> 1.101.0-1.mga3
+ Revision: 276817
- new release

* Thu Jul 05 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 268093
- update to 1.100

* Wed May 30 2012 jquelin <jquelin> 1.91_1-1.mga3
+ Revision: 251496
- update to 1.091_001
- rebuild for perl 5.16

* Mon Jan 23 2012 tv <tv> 1.90.0-1.mga2
+ Revision: 200387
- new release

* Thu Dec 29 2011 fwang <fwang> 1.82.0-1.mga2
+ Revision: 188597
- update file list
- new version 1.082

* Sat Oct 15 2011 tv <tv> 1.81.0-1.mga2
+ Revision: 155404
- new release

* Fri Oct 14 2011 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 154949
- update to 1.080

  + tv <tv>
    - new release

* Sat Jun 11 2011 sander85 <sander85> 1.70.0-5.mga2
+ Revision: 103607
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 1.70.0-4.mga1
+ Revision: 23204
- cleaning spec file
- imported package perl-Cairo

